public inbox for devel@edk2.groups.io
 help / color / mirror / Atom feed
* [PATCH 0/3] BaseTools: Change FMMT,BfmLib and FCE script type in PosixLike
@ 2019-07-05 14:40 Zhang, Shenglei
  2019-07-05 14:40 ` [PATCH 1/3] BaseTools/FMMT: Change FMMT " Zhang, Shenglei
                   ` (5 more replies)
  0 siblings, 6 replies; 7+ messages in thread
From: Zhang, Shenglei @ 2019-07-05 14:40 UTC (permalink / raw)
  To: devel; +Cc: Bob Feng, Liming Gao

The existing scripts are PC type, which cause the tools
can't be used conveniently like "FMMT -h" in all directories.
So change them to UNIX type to fix this problem.

Cc: Bob Feng <bob.c.feng@intel.com>
Cc: Liming Gao <liming.gao@intel.com>
Signed-off-by: Shenglei Zhang <shenglei.zhang@intel.com>
Shenglei Zhang (3):
  BaseTools/FMMT: Change FMMT script type in PosixLike
  BaseTools/FMMT: Change BfmLib script type in PosixLike
  BaseTools/FMMT: Change FCE script type in PosixLike

 BaseTools/BinWrappers/PosixLike/BfmLib | 58 +++++++++++++-------------
 BaseTools/BinWrappers/PosixLike/FCE    | 58 +++++++++++++-------------
 BaseTools/BinWrappers/PosixLike/FMMT   | 58 +++++++++++++-------------
 3 files changed, 87 insertions(+), 87 deletions(-)

-- 
2.18.0.windows.1


^ permalink raw reply	[flat|nested] 7+ messages in thread

* [PATCH 1/3] BaseTools/FMMT: Change FMMT script type in PosixLike
  2019-07-05 14:40 [PATCH 0/3] BaseTools: Change FMMT,BfmLib and FCE script type in PosixLike Zhang, Shenglei
@ 2019-07-05 14:40 ` Zhang, Shenglei
  2019-07-05 14:40 ` [PATCH 2/3] BaseTools/FMMT: Change BfmLib " Zhang, Shenglei
                   ` (4 subsequent siblings)
  5 siblings, 0 replies; 7+ messages in thread
From: Zhang, Shenglei @ 2019-07-05 14:40 UTC (permalink / raw)
  To: devel; +Cc: Bob Feng, Liming Gao

Change the script type from PC to UNIX.

Cc: Bob Feng <bob.c.feng@intel.com>
Cc: Liming Gao <liming.gao@intel.com>
Signed-off-by: Shenglei Zhang <shenglei.zhang@intel.com>
---
 BaseTools/BinWrappers/PosixLike/FMMT | 58 ++++++++++++++--------------
 1 file changed, 29 insertions(+), 29 deletions(-)

diff --git a/BaseTools/BinWrappers/PosixLike/FMMT b/BaseTools/BinWrappers/PosixLike/FMMT
index a244ecc095e1..0945d86d9209 100755
--- a/BaseTools/BinWrappers/PosixLike/FMMT
+++ b/BaseTools/BinWrappers/PosixLike/FMMT
@@ -1,29 +1,29 @@
-#!/usr/bin/env bash
-
-full_cmd=${BASH_SOURCE:-$0} # see http://mywiki.wooledge.org/BashFAQ/028 for a discussion of why $0 is not a good choice here
-dir=$(dirname "$full_cmd")
-cmd=${full_cmd##*/}
-
-if [ -n "$WORKSPACE" ] && [ -e "$WORKSPACE/Conf/BaseToolsCBinaries" ]
-then
-  exec "$WORKSPACE/Conf/BaseToolsCBinaries/$cmd"
-elif [ -n "$WORKSPACE" ] && [ -e "$EDK_TOOLS_PATH/Source/C" ]
-then
-  if [ ! -e "$EDK_TOOLS_PATH/Source/C/bin/$cmd" ]
-  then
-    echo "BaseTools C Tool binary was not found ($cmd)"
-    echo "You may need to run:"
-    echo "  make -C $EDK_TOOLS_PATH/Source/C"
-  else
-    exec "$EDK_TOOLS_PATH/Source/C/bin/$cmd" "$@"
-  fi
-elif [ -e "$dir/../../Source/C/bin/$cmd" ]
-then
-  exec "$dir/../../Source/C/bin/$cmd" "$@"
-else
-  echo "Unable to find the real '$cmd' to run"
-  echo "This message was printed by"
-  echo "  $0"
-  exit 127
-fi
-
+#!/usr/bin/env bash
+
+full_cmd=${BASH_SOURCE:-$0} # see http://mywiki.wooledge.org/BashFAQ/028 for a discussion of why $0 is not a good choice here
+dir=$(dirname "$full_cmd")
+cmd=${full_cmd##*/}
+
+if [ -n "$WORKSPACE" ] && [ -e "$WORKSPACE/Conf/BaseToolsCBinaries" ]
+then
+  exec "$WORKSPACE/Conf/BaseToolsCBinaries/$cmd"
+elif [ -n "$WORKSPACE" ] && [ -e "$EDK_TOOLS_PATH/Source/C" ]
+then
+  if [ ! -e "$EDK_TOOLS_PATH/Source/C/bin/$cmd" ]
+  then
+    echo "BaseTools C Tool binary was not found ($cmd)"
+    echo "You may need to run:"
+    echo "  make -C $EDK_TOOLS_PATH/Source/C"
+  else
+    exec "$EDK_TOOLS_PATH/Source/C/bin/$cmd" "$@"
+  fi
+elif [ -e "$dir/../../Source/C/bin/$cmd" ]
+then
+  exec "$dir/../../Source/C/bin/$cmd" "$@"
+else
+  echo "Unable to find the real '$cmd' to run"
+  echo "This message was printed by"
+  echo "  $0"
+  exit 127
+fi
+
-- 
2.18.0.windows.1


^ permalink raw reply related	[flat|nested] 7+ messages in thread

* [PATCH 2/3] BaseTools/FMMT: Change BfmLib script type in PosixLike
  2019-07-05 14:40 [PATCH 0/3] BaseTools: Change FMMT,BfmLib and FCE script type in PosixLike Zhang, Shenglei
  2019-07-05 14:40 ` [PATCH 1/3] BaseTools/FMMT: Change FMMT " Zhang, Shenglei
@ 2019-07-05 14:40 ` Zhang, Shenglei
  2019-07-05 14:40 ` [PATCH 3/3] BaseTools/FMMT: Change FCE " Zhang, Shenglei
                   ` (3 subsequent siblings)
  5 siblings, 0 replies; 7+ messages in thread
From: Zhang, Shenglei @ 2019-07-05 14:40 UTC (permalink / raw)
  To: devel; +Cc: Bob Feng, Liming Gao

Change the script type from PC to UNIX.

Cc: Bob Feng <bob.c.feng@intel.com>
Cc: Liming Gao <liming.gao@intel.com>
Signed-off-by: Shenglei Zhang <shenglei.zhang@intel.com>
---
 BaseTools/BinWrappers/PosixLike/BfmLib | 58 +++++++++++++-------------
 1 file changed, 29 insertions(+), 29 deletions(-)

diff --git a/BaseTools/BinWrappers/PosixLike/BfmLib b/BaseTools/BinWrappers/PosixLike/BfmLib
index a244ecc095e1..0945d86d9209 100755
--- a/BaseTools/BinWrappers/PosixLike/BfmLib
+++ b/BaseTools/BinWrappers/PosixLike/BfmLib
@@ -1,29 +1,29 @@
-#!/usr/bin/env bash
-
-full_cmd=${BASH_SOURCE:-$0} # see http://mywiki.wooledge.org/BashFAQ/028 for a discussion of why $0 is not a good choice here
-dir=$(dirname "$full_cmd")
-cmd=${full_cmd##*/}
-
-if [ -n "$WORKSPACE" ] && [ -e "$WORKSPACE/Conf/BaseToolsCBinaries" ]
-then
-  exec "$WORKSPACE/Conf/BaseToolsCBinaries/$cmd"
-elif [ -n "$WORKSPACE" ] && [ -e "$EDK_TOOLS_PATH/Source/C" ]
-then
-  if [ ! -e "$EDK_TOOLS_PATH/Source/C/bin/$cmd" ]
-  then
-    echo "BaseTools C Tool binary was not found ($cmd)"
-    echo "You may need to run:"
-    echo "  make -C $EDK_TOOLS_PATH/Source/C"
-  else
-    exec "$EDK_TOOLS_PATH/Source/C/bin/$cmd" "$@"
-  fi
-elif [ -e "$dir/../../Source/C/bin/$cmd" ]
-then
-  exec "$dir/../../Source/C/bin/$cmd" "$@"
-else
-  echo "Unable to find the real '$cmd' to run"
-  echo "This message was printed by"
-  echo "  $0"
-  exit 127
-fi
-
+#!/usr/bin/env bash
+
+full_cmd=${BASH_SOURCE:-$0} # see http://mywiki.wooledge.org/BashFAQ/028 for a discussion of why $0 is not a good choice here
+dir=$(dirname "$full_cmd")
+cmd=${full_cmd##*/}
+
+if [ -n "$WORKSPACE" ] && [ -e "$WORKSPACE/Conf/BaseToolsCBinaries" ]
+then
+  exec "$WORKSPACE/Conf/BaseToolsCBinaries/$cmd"
+elif [ -n "$WORKSPACE" ] && [ -e "$EDK_TOOLS_PATH/Source/C" ]
+then
+  if [ ! -e "$EDK_TOOLS_PATH/Source/C/bin/$cmd" ]
+  then
+    echo "BaseTools C Tool binary was not found ($cmd)"
+    echo "You may need to run:"
+    echo "  make -C $EDK_TOOLS_PATH/Source/C"
+  else
+    exec "$EDK_TOOLS_PATH/Source/C/bin/$cmd" "$@"
+  fi
+elif [ -e "$dir/../../Source/C/bin/$cmd" ]
+then
+  exec "$dir/../../Source/C/bin/$cmd" "$@"
+else
+  echo "Unable to find the real '$cmd' to run"
+  echo "This message was printed by"
+  echo "  $0"
+  exit 127
+fi
+
-- 
2.18.0.windows.1


^ permalink raw reply related	[flat|nested] 7+ messages in thread

* [PATCH 3/3] BaseTools/FMMT: Change FCE script type in PosixLike
  2019-07-05 14:40 [PATCH 0/3] BaseTools: Change FMMT,BfmLib and FCE script type in PosixLike Zhang, Shenglei
  2019-07-05 14:40 ` [PATCH 1/3] BaseTools/FMMT: Change FMMT " Zhang, Shenglei
  2019-07-05 14:40 ` [PATCH 2/3] BaseTools/FMMT: Change BfmLib " Zhang, Shenglei
@ 2019-07-05 14:40 ` Zhang, Shenglei
  2019-07-08  0:26 ` [PATCH 0/3] BaseTools: Change FMMT,BfmLib and " Liming Gao
                   ` (2 subsequent siblings)
  5 siblings, 0 replies; 7+ messages in thread
From: Zhang, Shenglei @ 2019-07-05 14:40 UTC (permalink / raw)
  To: devel; +Cc: Bob Feng, Liming Gao

Change the script type from PC to UNIX.

Cc: Bob Feng <bob.c.feng@intel.com>
Cc: Liming Gao <liming.gao@intel.com>
Signed-off-by: Shenglei Zhang <shenglei.zhang@intel.com>
---
 BaseTools/BinWrappers/PosixLike/FCE | 58 ++++++++++++++---------------
 1 file changed, 29 insertions(+), 29 deletions(-)

diff --git a/BaseTools/BinWrappers/PosixLike/FCE b/BaseTools/BinWrappers/PosixLike/FCE
index a244ecc095e1..0945d86d9209 100755
--- a/BaseTools/BinWrappers/PosixLike/FCE
+++ b/BaseTools/BinWrappers/PosixLike/FCE
@@ -1,29 +1,29 @@
-#!/usr/bin/env bash
-
-full_cmd=${BASH_SOURCE:-$0} # see http://mywiki.wooledge.org/BashFAQ/028 for a discussion of why $0 is not a good choice here
-dir=$(dirname "$full_cmd")
-cmd=${full_cmd##*/}
-
-if [ -n "$WORKSPACE" ] && [ -e "$WORKSPACE/Conf/BaseToolsCBinaries" ]
-then
-  exec "$WORKSPACE/Conf/BaseToolsCBinaries/$cmd"
-elif [ -n "$WORKSPACE" ] && [ -e "$EDK_TOOLS_PATH/Source/C" ]
-then
-  if [ ! -e "$EDK_TOOLS_PATH/Source/C/bin/$cmd" ]
-  then
-    echo "BaseTools C Tool binary was not found ($cmd)"
-    echo "You may need to run:"
-    echo "  make -C $EDK_TOOLS_PATH/Source/C"
-  else
-    exec "$EDK_TOOLS_PATH/Source/C/bin/$cmd" "$@"
-  fi
-elif [ -e "$dir/../../Source/C/bin/$cmd" ]
-then
-  exec "$dir/../../Source/C/bin/$cmd" "$@"
-else
-  echo "Unable to find the real '$cmd' to run"
-  echo "This message was printed by"
-  echo "  $0"
-  exit 127
-fi
-
+#!/usr/bin/env bash
+
+full_cmd=${BASH_SOURCE:-$0} # see http://mywiki.wooledge.org/BashFAQ/028 for a discussion of why $0 is not a good choice here
+dir=$(dirname "$full_cmd")
+cmd=${full_cmd##*/}
+
+if [ -n "$WORKSPACE" ] && [ -e "$WORKSPACE/Conf/BaseToolsCBinaries" ]
+then
+  exec "$WORKSPACE/Conf/BaseToolsCBinaries/$cmd"
+elif [ -n "$WORKSPACE" ] && [ -e "$EDK_TOOLS_PATH/Source/C" ]
+then
+  if [ ! -e "$EDK_TOOLS_PATH/Source/C/bin/$cmd" ]
+  then
+    echo "BaseTools C Tool binary was not found ($cmd)"
+    echo "You may need to run:"
+    echo "  make -C $EDK_TOOLS_PATH/Source/C"
+  else
+    exec "$EDK_TOOLS_PATH/Source/C/bin/$cmd" "$@"
+  fi
+elif [ -e "$dir/../../Source/C/bin/$cmd" ]
+then
+  exec "$dir/../../Source/C/bin/$cmd" "$@"
+else
+  echo "Unable to find the real '$cmd' to run"
+  echo "This message was printed by"
+  echo "  $0"
+  exit 127
+fi
+
-- 
2.18.0.windows.1


^ permalink raw reply related	[flat|nested] 7+ messages in thread

* Re: [PATCH 0/3] BaseTools: Change FMMT,BfmLib and FCE script type in PosixLike
  2019-07-05 14:40 [PATCH 0/3] BaseTools: Change FMMT,BfmLib and FCE script type in PosixLike Zhang, Shenglei
                   ` (2 preceding siblings ...)
  2019-07-05 14:40 ` [PATCH 3/3] BaseTools/FMMT: Change FCE " Zhang, Shenglei
@ 2019-07-08  0:26 ` Liming Gao
       [not found] ` <15AF46F2D8AE7964.4880@groups.io>
  2019-07-08  2:18 ` Bob Feng
  5 siblings, 0 replies; 7+ messages in thread
From: Liming Gao @ 2019-07-08  0:26 UTC (permalink / raw)
  To: Zhang, Shenglei, devel@edk2.groups.io; +Cc: Feng, Bob C

Reviewed-by: Liming Gao <liming.gao@intel.com>

>-----Original Message-----
>From: Zhang, Shenglei
>Sent: Friday, July 05, 2019 10:40 PM
>To: devel@edk2.groups.io
>Cc: Feng, Bob C <bob.c.feng@intel.com>; Gao, Liming <liming.gao@intel.com>
>Subject: [PATCH 0/3] BaseTools: Change FMMT,BfmLib and FCE script type in
>PosixLike
>
>The existing scripts are PC type, which cause the tools
>can't be used conveniently like "FMMT -h" in all directories.
>So change them to UNIX type to fix this problem.
>
>Cc: Bob Feng <bob.c.feng@intel.com>
>Cc: Liming Gao <liming.gao@intel.com>
>Signed-off-by: Shenglei Zhang <shenglei.zhang@intel.com>
>Shenglei Zhang (3):
>  BaseTools/FMMT: Change FMMT script type in PosixLike
>  BaseTools/FMMT: Change BfmLib script type in PosixLike
>  BaseTools/FMMT: Change FCE script type in PosixLike
>
> BaseTools/BinWrappers/PosixLike/BfmLib | 58 +++++++++++++-------------
> BaseTools/BinWrappers/PosixLike/FCE    | 58 +++++++++++++-------------
> BaseTools/BinWrappers/PosixLike/FMMT   | 58 +++++++++++++-------------
> 3 files changed, 87 insertions(+), 87 deletions(-)
>
>--
>2.18.0.windows.1


^ permalink raw reply	[flat|nested] 7+ messages in thread

* Re: [edk2-devel] [PATCH 0/3] BaseTools: Change FMMT,BfmLib and FCE script type in PosixLike
       [not found] ` <15AF46F2D8AE7964.4880@groups.io>
@ 2019-07-08  1:53   ` Liming Gao
  0 siblings, 0 replies; 7+ messages in thread
From: Liming Gao @ 2019-07-08  1:53 UTC (permalink / raw)
  To: devel@edk2.groups.io, Gao, Liming, Zhang, Shenglei
  Cc: Feng, Bob C, Gao, Liming

Shenglei:
  One minor comments, please update title BaseTools/FMMT to BaseTools.

> >  BaseTools/FMMT: Change FMMT script type in PosixLike
> >  BaseTools/FMMT: Change BfmLib script type in PosixLike
> >  BaseTools/FMMT: Change FCE script type in PosixLike

Thanks
Liming
> -----Original Message-----
> From: devel@edk2.groups.io [mailto:devel@edk2.groups.io] On Behalf Of Liming Gao
> Sent: Monday, July 8, 2019 8:27 AM
> To: Zhang, Shenglei <shenglei.zhang@intel.com>; devel@edk2.groups.io
> Cc: Feng, Bob C <bob.c.feng@intel.com>
> Subject: Re: [edk2-devel] [PATCH 0/3] BaseTools: Change FMMT,BfmLib and FCE script type in PosixLike
> 
> Reviewed-by: Liming Gao <liming.gao@intel.com>
> 
> >-----Original Message-----
> >From: Zhang, Shenglei
> >Sent: Friday, July 05, 2019 10:40 PM
> >To: devel@edk2.groups.io
> >Cc: Feng, Bob C <bob.c.feng@intel.com>; Gao, Liming <liming.gao@intel.com>
> >Subject: [PATCH 0/3] BaseTools: Change FMMT,BfmLib and FCE script type in
> >PosixLike
> >
> >The existing scripts are PC type, which cause the tools
> >can't be used conveniently like "FMMT -h" in all directories.
> >So change them to UNIX type to fix this problem.
> >
> >Cc: Bob Feng <bob.c.feng@intel.com>
> >Cc: Liming Gao <liming.gao@intel.com>
> >Signed-off-by: Shenglei Zhang <shenglei.zhang@intel.com>
> >Shenglei Zhang (3):
> >  BaseTools/FMMT: Change FMMT script type in PosixLike
> >  BaseTools/FMMT: Change BfmLib script type in PosixLike
> >  BaseTools/FMMT: Change FCE script type in PosixLike
> >
> > BaseTools/BinWrappers/PosixLike/BfmLib | 58 +++++++++++++-------------
> > BaseTools/BinWrappers/PosixLike/FCE    | 58 +++++++++++++-------------
> > BaseTools/BinWrappers/PosixLike/FMMT   | 58 +++++++++++++-------------
> > 3 files changed, 87 insertions(+), 87 deletions(-)
> >
> >--
> >2.18.0.windows.1
> 
> 
> 


^ permalink raw reply	[flat|nested] 7+ messages in thread

* Re: [PATCH 0/3] BaseTools: Change FMMT,BfmLib and FCE script type in PosixLike
  2019-07-05 14:40 [PATCH 0/3] BaseTools: Change FMMT,BfmLib and FCE script type in PosixLike Zhang, Shenglei
                   ` (4 preceding siblings ...)
       [not found] ` <15AF46F2D8AE7964.4880@groups.io>
@ 2019-07-08  2:18 ` Bob Feng
  5 siblings, 0 replies; 7+ messages in thread
From: Bob Feng @ 2019-07-08  2:18 UTC (permalink / raw)
  To: Zhang, Shenglei, devel@edk2.groups.io; +Cc: Gao, Liming

Reviewed-by: Bob Feng <bob.c.feng@intel.com>

-----Original Message-----
From: Zhang, Shenglei 
Sent: Friday, July 5, 2019 10:40 PM
To: devel@edk2.groups.io
Cc: Feng, Bob C <bob.c.feng@intel.com>; Gao, Liming <liming.gao@intel.com>
Subject: [PATCH 0/3] BaseTools: Change FMMT,BfmLib and FCE script type in PosixLike

The existing scripts are PC type, which cause the tools can't be used conveniently like "FMMT -h" in all directories.
So change them to UNIX type to fix this problem.

Cc: Bob Feng <bob.c.feng@intel.com>
Cc: Liming Gao <liming.gao@intel.com>
Signed-off-by: Shenglei Zhang <shenglei.zhang@intel.com> Shenglei Zhang (3):
  BaseTools/FMMT: Change FMMT script type in PosixLike
  BaseTools/FMMT: Change BfmLib script type in PosixLike
  BaseTools/FMMT: Change FCE script type in PosixLike

 BaseTools/BinWrappers/PosixLike/BfmLib | 58 +++++++++++++-------------
 BaseTools/BinWrappers/PosixLike/FCE    | 58 +++++++++++++-------------
 BaseTools/BinWrappers/PosixLike/FMMT   | 58 +++++++++++++-------------
 3 files changed, 87 insertions(+), 87 deletions(-)

--
2.18.0.windows.1


^ permalink raw reply	[flat|nested] 7+ messages in thread

end of thread, other threads:[~2019-07-08  2:18 UTC | newest]

Thread overview: 7+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2019-07-05 14:40 [PATCH 0/3] BaseTools: Change FMMT,BfmLib and FCE script type in PosixLike Zhang, Shenglei
2019-07-05 14:40 ` [PATCH 1/3] BaseTools/FMMT: Change FMMT " Zhang, Shenglei
2019-07-05 14:40 ` [PATCH 2/3] BaseTools/FMMT: Change BfmLib " Zhang, Shenglei
2019-07-05 14:40 ` [PATCH 3/3] BaseTools/FMMT: Change FCE " Zhang, Shenglei
2019-07-08  0:26 ` [PATCH 0/3] BaseTools: Change FMMT,BfmLib and " Liming Gao
     [not found] ` <15AF46F2D8AE7964.4880@groups.io>
2019-07-08  1:53   ` [edk2-devel] " Liming Gao
2019-07-08  2:18 ` Bob Feng

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox